#
# spec file for package wordcut
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define lname   libwordcut0
Name:           wordcut
Version:        0.5.1b2
Release:        207.3
Summary:        Thai word segmentation utility
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
URL:            https://thaiwordseg.sourceforge.net/
Source0:        https://downloads.sourceforge.net/project/thaiwordseg/wordcut/wordcut-%{version}/wordcut-%{version}.tar.gz
Patch0:         bugzilla-152315-locale-variable-used-before-set.patch
# build with gcc14
Patch1:         wordcut-gcc14.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libtool
BuildRequires:  pkgconfig
Provides:       locale(th)

%description
Thai word segmentation utility.

%package -n %{lname}
Summary:        Thai word segmentation utility
Group:          System/Libraries

%description -n %{lname}
Thai word segmentation utility.

%package devel
Summary:        Header files for wordcut, a Thai word segmentation utility
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}
Requires:       glibc-devel

%description devel
This package contains files necessary to build against libwordcut.

%prep
%autosetup -p1

%build
autoreconf --force --install --verbose
%configure --disable-static
%make_build

%install
%make_install

%post   -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files
%license COPYING
%{_bindir}/*
%dir %{_datadir}/wordcut/
%{_datadir}/wordcut/*

%files -n %{lname}
%{_libdir}/libwordcut.so.*

%files devel
%{_includedir}/*
%{_libdir}/libwordcut.so
%{_libdir}/pkgconfig/*
%exclude %{_libdir}/*.la

%changelog
* Tue May 14 2024 pgajdos@suse.com
- added patches
  fix build with gcc14
  + wordcut-gcc14.patch
* Tue May 30 2023 Frederic Crozat <fcrozat@suse.com>
- Update tarball url to proper location.
* Mon Aug 23 2021 Jan Engelhardt <jengelh@inai.de>
- Remove --with-pic which has no effect with --disable-static.
- Implement shared library policy.
- Delete practically empty documentation files.
* Sat Oct  4 2014 crrodriguez@opensuse.org
- Cleanup buildrequires, no libraries other than glibc are needed.
* Tue Jun  5 2012 i@marguerite.su
- fix sles builds.
* Thu Nov 24 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Thu Dec 17 2009 jengelh@medozas.de
- enable parallel building
* Wed Dec 26 2007 crrodriguez@suse.de
- fix library-without-ldconfig-*
- remove static libraries and libtool archives with empty dependency_libs
* Tue Sep  5 2006 meissner@suse.de
- set CFLAGS/CXXFLAGS correctly for configure.
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(th)".
* Thu Feb 23 2006 mfabian@suse.de
- Bugzilla #152315: "local variable used before set".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 16 2004 mfabian@suse.de
- new package: wordcut, version 0.5.1b2
